# opentl::input::VideoFile Class Reference

class to capture images from a video file More...

Inherits opentl::input::ImageSensor.

List of all members.

## Public Member Functions
virtual void | captureNext ()
virtual void | captureStart ()
virtual void | captureStop ()
virtual void | close ()
double | getSpeed ()
virtual const opentl::core::cvdata::Image & | image ()
virtual void | init ()
bool | isFinished () const
virtual void | open ()
void | setSpeed (double factor)
| VideoFile (std::string filename)
virtual | ~VideoFile ()

## Detailed Description

class to capture images from a video file

Author:
  Thomas Friedlhuber <friedlhu@in.tum.de>

## Constructor & Destructor Documentation

opentl::input::VideoFile::VideoFile | ( | std::string | filename | ) |

constructor

virtual opentl::input::VideoFile::~VideoFile | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual void opentl::input::VideoFile::captureNext | ( |  | ) | `[virtual]`

capture next image

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::VideoFile::captureStart | ( |  | ) | `[virtual]`

start capture process

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::VideoFile::captureStop | ( |  | ) | `[virtual]`

stop capture process

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::VideoFile::close | ( |  | ) | `[virtual]`

close video file

Reimplemented from opentl::input::AbstractSensor.

double opentl::input::VideoFile::getSpeed | ( |  | ) |

get speed factor the frame rate of a video is multiplied with. The higher the speed, the faster the video is running. A value of 1.0 means realtime.

Returns:
  speed factor

virtual const opentl::core::cvdata::Image& opentl::input::VideoFile::image | ( |  | ) | `[virtual]`

get image data from last captured image

Returns:
  image data

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::VideoFile::init | ( |  | ) | `[virtual]`

initialize video capturing process

Reimplemented from opentl::input::AbstractSensor.

bool opentl::input::VideoFile::isFinished | ( |  | ) | const

check if end video file has been reached

Returns:
  true if video is finished else false

virtual void opentl::input::VideoFile::open | ( |  | ) | `[virtual]`

open video stream from given file (constructor)

Reimplemented from opentl::input::AbstractSensor.

void opentl::input::VideoFile::setSpeed | ( | double | factor | ) |

set speed factor the frame rate of a video is multiplied with. The higher the speed, the faster the video is running. A value of 1.0 means realtime.